Apache Tomcat 6.0.53

## org.apache.tomcat.util.net
Class JIoEndpoint.Worker

    java.lang.Object
      org.apache.tomcat.util.net.JIoEndpoint.Worker

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  JIoEndpoint

    protected class JIoEndpoint.Worker

extends java.lang.Object
implements java.lang.Runnable

Field Summary
`protected boolean` | `available`
`protected java.net.Socket` | `socket`
`protected java.lang.Thread` | `thread`

Constructor Summary
`protected` | `JIoEndpoint.Worker()`

Method Summary
`void` | `run()` The background thread that listens for incoming TCP/IP connections and hands them off to an appropriate processor.
`void` | `start()` Start the background processing thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### thread

    protected java.lang.Thread thread

### available

    protected boolean available

### socket

    protected java.net.Socket socket

Constructor Detail

### JIoEndpoint.Worker

    protected JIoEndpoint.Worker()

Method Detail

### run

    public void run()

  The background thread that listens for incoming TCP/IP connections and hands them off to an appropriate processor.

  Specified by:
    `run` in interface `java.lang.Runnable`

### start

    public void start()

  Start the background processing thread.

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.